/*************************************************************************

    Namco PuckMan

**************************************************************************/

/*----------- defined in video/pacman.c -----------*/

PALETTE_INIT( pacman );
VIDEO_START( pacman );
VIDEO_UPDATE( pacman );

WRITE8_HANDLER( pacman_videoram_w );
WRITE8_HANDLER( pacman_colorram_w );
WRITE8_HANDLER( pacman_flipscreen_w );


VIDEO_START( pengo );

WRITE8_HANDLER( pengo_palettebank_w );
WRITE8_HANDLER( pengo_colortablebank_w );
WRITE8_HANDLER( pengo_gfxbank_w );


WRITE8_HANDLER( vanvan_bgcolor_w );


VIDEO_START( s2650games );
VIDEO_UPDATE( s2650games );

extern UINT8 *s2650games_spriteram;
extern UINT8 *s2650games_tileram;

WRITE8_HANDLER( s2650games_videoram_w );
WRITE8_HANDLER( s2650games_colorram_w );
WRITE8_HANDLER( s2650games_scroll_w );
WRITE8_HANDLER( s2650games_tilesbank_w );


VIDEO_START( jrpacman );

WRITE8_HANDLER( jrpacman_videoram_w );
WRITE8_HANDLER( jrpacman_charbank_w );
WRITE8_HANDLER( jrpacman_spritebank_w );
WRITE8_HANDLER( jrpacman_scroll_w );
WRITE8_HANDLER( jrpacman_bgpriority_w );
INTERRUPT_GEN( pacman_interrupt );
WRITE8_HANDLER( pacman_leds_w );
WRITE8_HANDLER( pacman_interrupt_vector_w );


/* for video */
PALETTE_INIT( multipac );
VIDEO_START( multipac );
VIDEO_UPDATE( multipac );
VIDEO_START( pacmanx );
VIDEO_UPDATE( pacmanx );
void madpac_gfxbank_w ( UINT8 gfxbank );
void _96in1b_gfxbank_w ( UINT8 gfxbank );
void pm8in1_gfxbank_w ( UINT8 gfxbank );
void pm12in1_gfxbank_w ( UINT8 gfxbank );
WRITE8_HANDLER( multipac_gfxbank_w );
WRITE8_HANDLER( multipac_palbank_w );

